[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.GetObjectNames

Return a collection of object names for a given type of object

## Declaration

Source position: sqldb.pp line 280

`public function TSQLConnection.GetObjectNames(`
`ASchemaType: TSchemaType;`
`AList: TSqlObjectIdentifierList`
`):Integer; virtual;`

## Arguments

`ASchemaType` |  | Type of object to return
`AList` |  | List in which to return the object names

## Function result

Number of found objects

## Description

GetObjectNames returns all the names of objects of a given type ASchemaType in the database, and returns the number of found objects as a result. The object names are placed in the collection AList.

The collection is not cleared.

## See also

#fcl.sqltypes.TSqlObjectIdentifierList |  | List of TSqlObjectIndentifier instances